// -------------------------------------------------------------------------------------------------
// xsEtiquetaImagen.hpp
// -------------------------------------------------------------------------------------------------


// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsEtiquetaImagen_hpp__
#define __xsEtiquetaImagen_hpp__

Clase xsEtiquetaImagen : Publica xsObjeto
{
	Privada:
		
		xsEtiqueta etiqueta;
		xsImagen   imagen;

	Publica:

	    xsEtiquetaImagen();

	    Vacio crear(xsCadena texto,      
		            xsCadena archivoImagen,
			        Entero   ancho,
			        Entero   alto,
			        Entero   posXImagen,
			        Entero   posYImagen,
			        Entero   posXTexto,
			        Entero   posYTexto);
		
	    Vacio crear(xsCadena      texto,      
		            xsCadena      archivoImagen,
				    xsOrientacion orientacion,
					Logico        primeroImagen);

	    xsEtiquetaImagen(xsCadena texto,      
		                 xsCadena archivoImagen,
				         Entero   ancho,
				         Entero   alto,
				         Entero   posXImagen,
				         Entero   posYImagen,
				         Entero   posXTexto,
				         Entero   posYTexto);
		
	    xsEtiquetaImagen(xsCadena      texto,      
		                 xsCadena      archivoImagen,
				         xsOrientacion orientacion,
						 Logico        primeroImagen);

		Vacio asignarEtiquetaTieneVentana(Logico tieneVentana);

		Vacio asignarEventoEtiqueta(Entero evento);

		SinSigno Largo conectarSenalEtiqueta(xsCadena         senal, 
		                                     xsFuncionRetorno funcion, 
											 xsApuntador      datos);

		xsObjetoGUI* obtenerManejadorEtiqueta();

		Vacio colocarTexto(xsCadena texto);

		xsCadena obtenerTexto();		
};

// Fin de la Definición del Archivo
#endif
